Open CASCADE Technology: AppParCurves Class Reference

Open CASCADE Technology 6.9.1

- Main Page
- Related Pages
- Namespaces
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

Static Public Member Functions
AppParCurves Class Reference

Parallel Approximation in n curves. This package gives all the algorithms used to approximate a MultiLine described by the tool MLineTool. The result of the approximation will be a MultiCurve. More...

`#include <AppParCurves.hxx>`

## Static Public Member Functions
static void | BernsteinMatrix (const Standard_Integer NbPoles, const math_Vector &U, math_Matrix &A)
static void | Bernstein (const Standard_Integer NbPoles, const math_Vector &U, math_Matrix &A, math_Matrix &DA)
static void | SecondDerivativeBernstein (const Standard_Real U, math_Vector &DDA)
static void | SplineFunction (const Standard_Integer NbPoles, const Standard_Integer Degree, const math_Vector &Parameters, const math_Vector &FlatKnots, math_Matrix &A, math_Matrix &DA, math_IntegerVector &Index)

## Detailed Description

Parallel Approximation in n curves. This package gives all the algorithms used to approximate a MultiLine described by the tool MLineTool. The result of the approximation will be a MultiCurve.

## Member Function Documentation

static void AppParCurves::Bernstein | ( | const Standard_Integer | NbPoles,
|  | const math_Vector & | U,
|  | math_Matrix & | A,
|  | math_Matrix & | DA
| ) |  |
| static

static void AppParCurves::BernsteinMatrix | ( | const Standard_Integer | NbPoles,
|  | const math_Vector & | U,
|  | math_Matrix & | A
| ) |  |
| static

static void AppParCurves::SecondDerivativeBernstein | ( | const Standard_Real | U,
|  | math_Vector & | DDA
| ) |  |
| static

static void AppParCurves::SplineFunction | ( | const Standard_Integer | NbPoles,
|  | const Standard_Integer | Degree,
|  | const math_Vector & | Parameters,
|  | const math_Vector & | FlatKnots,
|  | math_Matrix & | A,
|  | math_Matrix & | DA,
|  | math_IntegerVector & | Index
| ) |  |
| static

The documentation for this class was generated from the following file:

- AppParCurves.hxx